function [img] = fn_eql_imsize (img, stdimg, bnearest)
%
%  Segment a single image
%
% -------
% INPUTS:
%  (Note that there are several other parameters at the top of the code)
%
%   img         : input image
%   stdimg      : 'img' will be resized so that its size is the
%                 same with the size of 'stdimg'.
%   bnrearest   : 0 : default imresize. 1: 'nearest'
%
% --------
% OUTPUTS:
%
%   img         : resized image
%
% ---------------
% Gunhee Kim
%

if nargin<3,
    bnearest = 0 ;
end

[imr imc imch] = size(img) ;
[spr spc] = size(stdimg) ;
if imr~=spr || imc~=spc,
    % for whatever reason img is uint16, the result is totally gabage.
    if ~isa(img, 'uint8') && ~isa(img, 'single') && ~isa(img, 'double'),
        img = double(img) ;
    end

    if bnearest,
        img = fn_imresize(img, [spr spc], 'nearest') ;
    else
        img = fn_imresize(img, [spr spc]) ;
    end
end

% if the input image is enlarged, for whatever reasons, the
% boundary has trash values.
if spr>imr,
    img(:,1) = img(:,2) ;
    img(:,end) = img(:,end-1) ;
    img(1,:) = img(2,:) ;
    img(end,:) = img(end-1,:) ;
end

