function sim_matrix = fn_get_knn_matrix(sim_matrix, K)
%
%  get KNN matrix
%
% -------
% INPUTS:
%
%   sim_matrix :    The similarity network
%   K :             The number of neighbors for KNN
%   bShow : whether the result is drawn or not.
%
% --------
% OUTPUTS:
%
%   sim_matrix :    The similarity network
%
% ---------------
% Gunhee Kim
%

% get knn network

rA = size(sim_matrix,1) ;
cA = size(sim_matrix,2) ;
%  sim_matrix(sim_matrix<0.1) = 0 ;
%  sim_matrix = sim_matrix - diag(ones(rA,1)) ;

[sorted_val sorted_idx] = sort(sim_matrix,2,'descend') ;

K = min(K,cA) ;
r_idx = repmat([1:rA]',1,K) ;
sorted_idx = sorted_idx(:,1:K) ;
sorted_val = sorted_val(:,1:K) ;
sorted_val = double(sorted_val) ;

r_idx = r_idx' ;
sorted_idx = sorted_idx' ;
sorted_val = sorted_val' ;
r_idx = r_idx(:) ;
sorted_idx = sorted_idx(:) ;
sorted_val = sorted_val(:) ;

sim_matrix = sparse(r_idx, sorted_idx, sorted_val, rA, cA) ;

%{
% remove diagonal elements
diag_idx = find(r_idx-sorted_idx==0);
r_idx(diag_idx) = [] ;
sorted_idx(diag_idx) = [] ;
sorted_val(diag_idx) = [] ;

% remove zero elements
zero_idx = find(sorted_val==0) ;
r_idx(zero_idx) = [] ;
sorted_idx(zero_idx) = [] ;
sorted_val(zero_idx) = [] ;

%  sim_mat_sp = sparse(bb_idx(r_idx), bb_idx(sorted_idx), sorted_val, n, n) ;
n = size(sim_matrix,1) ;
sim_mat_sp = sparse(r_idx, sorted_idx, sorted_val, n, n) ;
%}