function [wmean] = fn_wmean (data, wgt)
%
%   weigted mean
%
% -------
% INPUTS:
%  (Note that there are several other parameters at the top of the code)
%
%   data        : input data ([nData x nDim])
%   wgt         : weights ([nData x 1])
%
% --------
% OUTPUTS:
%
%   wcov        : weighted cov ([nDim x nDim])
%
% ---------------
% Gunhee Kim
%


% if no weight, use ordinary 'mean' function
if nargin<2,
    wmean = mean(data, 1) ;
else

    tmpdata = data .* repmat(wgt, [1 size(data,2)/size(wgt,2)]) ;

    wmean = sum(tmpdata, 1) ./ sum(wgt, 1) ;

end
