function [sptHistSeg] = get_SPM_hist_seg(imgSP, sptHist)
%
%   sptHist is histogram for SPs. Make histogram for segments
%
% -------
% INPUTS:
%  (Note that there are several other parameters at the top of the code)
%
%   imgSP           : information about superpixels
%   sptHist         : spatial histogram for SPs.
%
% --------
% OUTPUTS:
%
%   sptHistSeg      : spatial histogram for segments
%
% ---------------
% Gunhee Kim
%

nSeg = length(imgSP.SPIndPSeg) ;
dimHist = size(sptHist, 1) ;

sptHistSeg = zeros(dimHist, nSeg) ;
for i=1:nSeg,
    sptHistSeg(:,i) = sum( sptHist(:,imgSP.SPIndPSeg{i}), 2) ;
end

end

