function script_file_gen_D_info(conf_file, strObj)
%
%  Generate file DB to scan all subfolders
%
% -------
% INPUTS:
%  (Note that there are several other parameters at the top of the
%  code)
%
%
% --------
% OUTPUTS:
%
% ---------------
% Gunhee Kim
%

% First generating directory information

% run config file
if nargin<1,
    conf_file = 'config_flickr' ;
end
eval(conf_file) ;

% FOR condor
if nargin>1,
    CLASSES{1} = strObj; NCLASS = 1 ;
end

% for each object,
for h=1:NCLASS,
    gen_D_info(conf_file,CLASSES{h}) ;
end

end


function gen_D_info(conf_file, OBJCLASS)

eval(conf_file);

disp(OBJCLASS) ;

% make train dir
DIR_D_INFO = fullfile(DIR_WORK_TRAIN, FOLDR_D_INFO, OBJCLASS) ;
%{
% skip if the DB file already exists.
if exist(DIR_D_INFO, 'dir'),
    disp('already done!') ;
    return ;
end
%}

% get image info
[D, Folder, nImFolder] = fn_get_fildDB( fullfile(DIR_WORK_IMG, OBJCLASS), ...
        TYPE_IMG) ;
totD = D ;

totF = 0 ;
for i=1:length(D),
    totF = totF + length(D(i)) ;
end

% maintain the subdir structure
s_ind = 0 ;
for i=1:length(Folder),

    % if there is no file in the subfolder, skip it.
    if nImFolder(i)==0, continue; end

    % make directory
    tmpFoldName = fullfile(DIR_D_INFO, Folder{i}) ;
    if ~exist(tmpFoldName, 'dir'), mkdir(tmpFoldName) ; end

    % split D according to subfolders
    D = totD(s_ind+1:s_ind+nImFolder(i)) ;
    s_ind = s_ind+nImFolder(i) ;

    % save folder info.
    save(fullfile(tmpFoldName, FNAME_D_INFO), 'D') ;
end

end

