function [A] = tikhonov_regularization(A)
%
%	Simple Tikhonov regularization
%
% -------
% INPUTS:
%   A :             input matrix
%
% --------
% OUTPUTS:
%   A :             regularized A
%
% -------------
%
% Written by Gunhee Kim @ CMU, 2011.
% All rights reserved.
%


disp('See tikhonov_regularization.m') ;
%keyboard; 

SMALL_VAL = 0.01 ;

nA = size(A,1) ;

minA = min(A(A>0)) ;

A = A + ( minA*SMALL_VAL ) * eye(nA) ;


end
