function [opts] = opts_cosegment (newopts)
%
%  Input
%
% -------
% INPUTS:
%  (Note that there are several other parameters at the top of the code)
%
%
% --------
% OUTPUTS:
%
% ---------------
% Gunhee Kim
%

% % --------------------------------------------------------------%
%       Options
% % --------------------------------------------------------------%

% default options
[opts] = default_options ;

if nargin<1 || isempty(newopts),
    return ;
end

% get fields of newopts
field_newopts = fieldnames(newopts) ;

for i=1:length(field_newopts),
    % set newopts
    opts = setfield(opts, field_newopts{i}, ...
        getfield(newopts,field_newopts{i})) ;
end

end

% default options
function [opts] = default_options ()

opts = struct( ...
... % Number of segments
    'K', 4, ...
... % Automatic selection of K. If the temperature gain of new
... % cluster is not larger than this value, the segmentation stops
... % before K. If you set it to 0, this funciton turns off.
... % note that the temerature gain is in range of [0, 1]. (ex. 0.05).
    'AUTOK', 0, ...
... % Intra-image Netwrok is a K-nn graph between superpixels.
... % where K = C_INTRA_NGH*log(# of superpixels)
    'C_INTRA_NGH', 1, ...
... % Number of evaluation Points
    'NUM_EVAL_PNT', 100, ...
... % In order to be a evaluation point, the cluster size
... % should be larger than this value.
    'CLUST_MIN', 2, ...
... % Select a method to solve linear eq Ax=b.
... % 0: incremental inverse.
... % 1: LU decomposition.
... % Others: naive backslash.
    'LIN_MODE', 0, ...
... % The contant for ground conductance
    'CONST_Z', 0.1, ...
... % maximum image size. if input image is larger than this.
    'MAX_IMG_SIZE', 300, ...
... % scale of gaussian weights
    'WGT_SCALE_PCT', 0.25, ...
    'WGT_SCALE_INTER', 0.6, ...
... % Number of Superpixels
    'NUM_SP', 1000, ...
... % Superpixel method
    'SP_MODE', 4) ;
end