function [segm_adjmat] = get_adjacency_graph(segImg)
%
%	Get segment images and return adjacency matrix between segments.
%
% -------
% INPUTS:
%
%   segImg :            segment image
%
% --------
% OUTPUTS:
%
%   segm_adjmat :       adjacency matrix between segments.
%
% -------------
%
% Gunhee Kim
%

% connectivity graph
lfi = segImg(:,1:end-1) ;
rgi = segImg(:,2:end) ;
upi = segImg(1:end-1,:) ;
dwi = segImg(2:end,:) ;

tmp = [lfi(:) rgi(:)] ;
tmp(tmp(:,1)==tmp(:,2),:) = [] ;
tmp = sort(double(tmp),2) ;
tmplr = unique(tmp, 'rows') ;

tmp = [upi(:) dwi(:)] ;
tmp(tmp(:,1)==tmp(:,2),:) = [] ;
tmp = sort(double(tmp),2) ;
tmpud = unique(tmp, 'rows') ;

tmpfinal = unique([tmplr; tmpud],'rows') ;

nS = max(tmpfinal(:)) ;
segm_adjmat = sparse(tmpfinal(:,1), tmpfinal(:,2), ones(size(tmpfinal,1),1), ...
    nS, nS) ;
segm_adjmat = segm_adjmat + segm_adjmat' ; segm_adjmat(segm_adjmat>0) = 1 ;
segm_adjmat = sparse(tril(segm_adjmat)) ;

%imgSeg.adjMat = segm_adjmat ;

