function [spImg bdImg] = get_sp_turbo(I, numSP)
%
%   Generate superpixels by TurboPixels
%   http://www.cs.toronto.edu/~babalex/research.html
%
% -------
% INPUTS:
%
%   I :     The image to be super-pixeled.
%   numSP : The number of suepr-pixels.
%
% --------
% OUTPUTS:
%
%   spImg :     Segment map. max(max(spImg)) = number of segments.
%   bdImg :     binary boundary map. the pixel at boundary = 1.
%
%   See the details of the algorithm in 'lib/TurboPixels/README.txt'.
%
% ---------------
% Gunhee Kim
%

% default number of superpixels.
if nargin<2,
    numSP = 500 ;
end

% run the superpixel algorithm
[phi,bdImg] = superpixels(I, numSP);

% get the segment image from the boundary image.
[spImg, nSeg] = bwlabel(~bdImg,4) ;
